API Documentation

User

GET https://notificatorsms.com/api/user
curl --request GET \
--url 'https://notificatorsms.com/api/user' \
--header 'Authorization: Bearer {api_key}' \
curl --request GET \
  --url 'https://notificatorsms.com/api/user' \
  --header 'Authorization: Bearer VOTRE_API_KEY'
<?php
$ch = curl_init('https://notificatorsms.com/api/user');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER     => ['Authorization: Bearer VOTRE_API_KEY'],
]);
$result = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($result);
const res = await fetch('https://notificatorsms.com/api/user', {
    headers: { 'Authorization': 'Bearer VOTRE_API_KEY' },
});
const data = await res.json();
console.log(data);
import requests

headers = {'Authorization': 'Bearer VOTRE_API_KEY'}
r = requests.get('https://notificatorsms.com/api/user', headers=headers)
print(r.json())
{
    "data": {
        "id": 1,
        "name": "Example",
        "email": "example@example.com",
        "language": "english",
        "timezone": "UTC",
        "anti_phishing_code": true,
        "is_newsletter_subscribed": false,
        "billing": {
            "type": "personal",
            "name": "",
            "address": "",
            "city": "",
            "state": "",
            "county": "",
            "zip": "3000",
            "country": "US",
            "phone": "+123 123 123",
            "tax_id": "",
            "notes": ""
        },
        "status": true,
        "plan_id": "custom",
        "plan_expiration_date": "2027-05-17 16:50:14",
        "plan_settings": {},
        "plan_trial_done": true,
        "payment_processor": "revolut",
        "payment_total_amount": 300,
        "payment_currency": "USD",
        "payment_subscription_id": null,
        "source": "direct",
        "ip": "123.123.123.123",
        "continent_code": "NA",
        "country": "US",
        "city_name": "New York",
        "os_name": "OS X",
        "browser_name": "Chrome",
        "browser_language": "en",
        "device_type": "desktop",
        "api_key": "123456789",
        "referral_key": "altum",
        "referred_by": null,
        "last_activity": "2026-05-17 16:50:14",
        "total_logins": 100,
        "datetime": "2025-05-17 16:50:14",
        "next_cleanup_datetime": "2026-06-17 16:50:14"
    }
}